summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeah Woods <info@minifree.org>2016-05-19 05:13:07 (EDT)
committer Leah Woods <info@minifree.org>2016-05-19 05:13:07 (EDT)
commit3afa15f89f998cdafaf86f949ea370943f1aaf84 (patch)
tree3e655c5d939294ab4400553fa03802ac557cdc2a
parentff00e9017d033530435a0eee00237d8778df791e (diff)
downloadlibreboot-3afa15f89f998cdafaf86f949ea370943f1aaf84.zip
libreboot-3afa15f89f998cdafaf86f949ea370943f1aaf84.tar.gz
libreboot-3afa15f89f998cdafaf86f949ea370943f1aaf84.tar.bz2
build/roms/withgrub: Don't add timeout file to ROM if it already exists
-rwxr-xr-xresources/scripts/helpers/build/roms/withgrub_helper6
1 files changed, 4 insertions, 2 deletions
diff --git a/resources/scripts/helpers/build/roms/withgrub_helper b/resources/scripts/helpers/build/roms/withgrub_helper
index 98814c9..5969e2f 100755
--- a/resources/scripts/helpers/build/roms/withgrub_helper
+++ b/resources/scripts/helpers/build/roms/withgrub_helper
@@ -142,8 +142,10 @@ do
./util/cbfstool/cbfstool "${boardtarget}_${romtype}.rom" remove -n etc/ps2-keyboard-spinup
fi
- # Add keyboard startup delay timeout. Needed on some boards. 60s, just to play it safe.
- ./util/cbfstool/cbfstool "${boardtarget}_${romtype}.rom" add-int -i 60000 -n etc/ps2-keyboard-spinup
+ if ! $(./util/cbfstool/cbfstool "${boardtarget}_${romtype}.rom" print | grep -Fxq "etc\/ps2\-keyboard\-spinup"); then
+ # Add keyboard startup delay timeout. Needed on some boards. 60s, just to play it safe.
+ ./util/cbfstool/cbfstool "${boardtarget}_${romtype}.rom" add-int -i 60000 -n etc/ps2-keyboard-spinup
+ fi
# .config no longer needed
rm -f ".config"